PDF

# Procedural File: pdfstruct.inc Source Location: /lib/pdfstruct.inc ## Page Details: Functions to manage the PDF structures. #### Tags:
author: | Michael Dürgner
#### Includes: include_once("ldap.inc") [line 34] LDAP object include_once("config.inc") [line 31] LAM configuration ### deletePDFStructureDefinition [line 158]
`boolean deletePDFStructureDefinition( string $scope, string $definition)`
Deletes XML file with PDF structure definitions. #### Tags:
return: | True if file was deleted or false if a problem occured.
#### Parameters
string | $scope | account type
string | $definition | Name of definition to delete
[ Top ] ### getAvailableLogos [line 176]
`array getAvailableLogos( )`
This function returns an array with all aviliable logo images. #### Tags:
return: | list of logo files
[ Top ] ### getPDFStructureDefinitions [line 47]
`array getPDFStructureDefinitions( [string $scope = &quot;user&quot;])`
This function will return all available PDF structure definitions for the submitted account scope. #### Tags:
return: | All available PDF structure definitions for the submitted account scope. Each entry is a string being the filename that may be passed to the createModulePDF() function as second argument.
#### Parameters
string | $scope | The account scope the PDF structure definitions should be returned.
[ Top ] ### loadPDFStructureDefinitions [line 72]
`array loadPDFStructureDefinitions( [string $scope = 'user'], [string $pdf_structure = 'default'])`
This function is used to get pdf structure from xml file. Used in createModulePDF. #### Tags:
return: | PDF structure
#### Parameters
string | $scope | The account scope for wich the PDF structure should be returned.
string | $pdf_structure | Structure name of selected scope wich should be returned.
[ Top ] ### savePDFStructureDefinitions [line 100]
`string savePDFStructureDefinitions( string $scope, string $definition)`
Saves PDF structure definitions to XML file in format: <name>.<scope>.xml #### Tags:
return: | "no perms" if access denied or "ok".
#### Parameters
string | $scope | account type
string | $definition | Name of definition
[ Top ] Documentation generated on Thu, 07 Feb 2008 20:26:44 +0100 by phpDocumentor 1.4.0